Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.request
Class BaseUploadedFile

    java.lang.Object
      org.richfaces.request.BaseUploadedFile

All Implemented Interfaces:
  org.richfaces.model.UploadedFile

Direct Known Subclasses:
  UploadedFile25

    public abstract class BaseUploadedFile

extends Object
implements org.richfaces.model.UploadedFile

Author:
  Nick Belaevski

Constructor Summary
`BaseUploadedFile(String parameterName)`

Method Summary
`String` | `getContentType()`
`byte[]` | `getData()`
`String` | `getName()`
`String` | `getParameterName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.model.UploadedFile
`delete, getHeader, getHeaderNames, getHeaders, getInputStream, getSize, write`

Constructor Detail

### BaseUploadedFile

    public BaseUploadedFile(String parameterName)

Method Detail

### getParameterName

    public String getParameterName()

  Specified by:
    `getParameterName` in interface `org.richfaces.model.UploadedFile`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.richfaces.model.UploadedFile`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `org.richfaces.model.UploadedFile`

### getData

    public byte[] getData()

  Specified by:
    `getData` in interface `org.richfaces.model.UploadedFile`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.